public class sogutmakulesi
{
yashava yh;
  //options for string s: "tdb_twb"  kuru termometre - yaş termometre sıcaklığı
  //                      "tdb_rh"   kuru termometre sıcaklığı - bağıl nem
  //                      "tdb_w"    kuru termometre sıcaklığı - özgül nem
  //                      "tdb_tdew" kuru termometre sıcaklığı - çiğ noktası sıcaklığı
  //                      "tdb_pv"   kuru termometre sıcaklığı - su buharı basıncı
  //                      "tdb_dos"  kuru termometre sıcaklığı - degree of saturation
  //                      "tdb_h"    kuru termometre sıcaklığı - entalpi
  //                      "tdb_s"    kuru termometre sıcaklığı - entropi
  //                      "w_rh"     özgül nem    - bağıl humifdity
  //                      "w_h"      özgül nem    -  entalpi
  /*
  aa[0]=P;
  aa[1]=t;
  aa[2]=ap[2];
  aa[3]=pv;
  aa[4]=Pa;
  aa[5]=w;
  aa[6]=rh;
  aa[7]=dos;
  aa[8]=h;
  aa[9]=s;
  aa[10]=tdp;
  aa[11]=ha;
  aa[12]=hv;
  aa[13]=w*hv;
  */
  //buhar opsiyonları
  //sp[0] p
  //sp[1] t
  //sp[2] v
  //sp[3] h
  //sp[4] u
  //sp[5] s
//cases of String s
// tv tp th tu ts tx
// pv    pt ph pu ps px
// vp    vt
double P;  
public sogutmakulesi(double Pi)
{
P=Pi;
yh=new yashava();
}

public double KaV_bolu_L(double twi,double two, double t_kh, double t_yh,double msu_bolu_mhava)
{
// twi su giriş sıcaklığı
// two su çıkış sıcaklığı
// t_kh  giriş havası kuru hava sıcaklığı
// t_yh  giriş havası yaş hava sıcaklığı
// msu_bolu_mhava  su hava debi oranı
double dt=(twi-two)/40.0;
double Ha;
double Hw;
double hsu;
double hsu_onceki;
double dhsu;
double tsu;
double yy=0;
double x[]=new double[41];
double y0[]=new double[41];
double y1[]=new double[41];
double c[]=yh.s.property("tp",(two-dt),P);
hsu=c[3];
double a1[]=yh.property("tdb_twb", t_kh,t_yh,P);
Ha=a1[8];
int i=0;
for(double t=two;t<=twi;t+=dt)
{
	
double a2[]=yh.property("tdb_rh", t,1.0,P);
Hw=a2[8];
x[i]=t;
y0[i]=Hw;
y1[i]=Ha;
double b[]=yh.s.property("tp",t,P);
hsu_onceki=hsu;

hsu=b[3];
dhsu=hsu-hsu_onceki;
yy+=dhsu/(Hw-Ha);
System.out.println(" "+t+" "+Hw+" "+Ha+" "+dhsu+" "+dt);
Ha=Ha+msu_bolu_mhava*dhsu;
i++;
}
Plot p=new Plot(x,y0);
p.setPlabel("Soğutma kulesi KaV/L kule karekteristiği");
p.setXlabel("su sıcaklığı tw, derece C");
p.setYlabel("Yaş hava entalpisi, KJ/kg kuru hava");
p.addData(x,y1);
p.plot();
return yy;	
} 

}